Jupiter - Zadanie #1544
UserService
2017-02-02 16:04 - Lukasz Waskiewicz

Status: Zamkniety Start date: 2017-02-02
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 0%
Category: backend Estimated time: 0.00 hour
Target version: 0.3

Developer: tukasz Waskiewicz Tester: Michat Komar
Description

zaprojektowaé userService i hierarchie uprawnien

Related issues:
Precedes Jupiter - Zadanie # 1547: Przygotowanie modelu danych

Precedes Jupiter - Zadanie # 1554: Serwis do zarzadzania uzytkownikami

Zamkniety 2017-02-03
Zamkniety 2017-02-03

2017-02-03
2017-02-03

Associated revisions

Revision d5a66265 - 2017-02-03 09:55 - Lukasz Waskiewicz

refs #1544 userCatalog security integration

Revision aac4b994 - 2017-02-06 07:14 - Lukasz Waskiewicz

refs #1544 integracja hierarchia rél i JWT

Revision 680204b0 - 2017-02-08 08:20 - Lukasz Waskiewicz

refs #1544 poprawki

przepakietowanie, przesunigcie hierarchii rol do propertiséw, zmiana z

Secured na PreAuthorize

Revision 551ae50a - 2017-02-08 09:52 - Lukasz Waskiewicz

refs #1544 przepakietowanie

Revision 69f2501c - 2017-02-13 08:02 - Lukasz Waskiewicz

refs #1544 poprawa literéwki

Revision 8f99cff7 - 2017-02-14 15:57 - Lukasz Waskiewicz

refs #1544 zmiana nazw uprawnien

Revision b0436451 - 2017-02-15 15:12 - Lukasz Waskiewicz
refs #1544 zmiana przekazania rol do jwt

Revision b8defe0f - 2017-02-22 11:00 - Michat Komar

refs #1544: Umozliwienie zmiany hasta

Revision e5670afe - 2017-02-22 13:47 - Michat Komar

refs #1544: Strona z informacjami o uzytkowniku

Komponent do wys$wietlania uzytkownika powinien zawiera¢ takze mozliwo$¢

edycji. Wszystko jest sterowane parametrami.

Revision df721779 - 2017-02-23 08:26 - Michat Komar

refs #1544: Strona z informacjami o uzytkowniku

History

#1 - 2017-02-07 10:04 - Lukasz Waskiewicz
- Status changed from Nowy to Testowanie
- Assignee changed from tukasz Waskiewicz to Michat Komar

#2 - 2017-02-07 10:56 - Michat Komar

- Category set to backend

- Status changed from Testowanie to Odpowiedz

- Assignee changed from Michat Komar to tukasz Waskiewicz
- Target version set to 0.3

Mam kilka uwag:

- JupiterSecurityConfig.roleHierarchy - warto przenies¢ hierarhyRepresentation do propertieséw, bedzie czysciej i od razu bedzie wida¢ jak wyglada
hierarchia

- RoleHierarchyVoter.rolePrefix - wydaje mi sie, ze jest to potrzebne, zeby korzystaé¢ z @Secured. Chyba umawialiSmy sie na PreAuthorize, gdzie
explicit podaje sie hasRole lub hasAuthority

- JupiterPermision, JupiterRole, JupiterUser, JupiterUserRole - przenie$¢ do podpakietu "security”

#3 - 2017-02-07 12:23 - Michat Komar
- Precedes Zadanie #1547: Przygotowanie modelu danych added
#4 - 2017-02-08 08:23 - Lukasz Waskiewicz

- Status changed from OdpowiedZ to Rozwigzany
- Assignee changed from tukasz Waskiewicz to Michat Komar

poprawione

#5 - 2017-02-09 15:56 - Michat Komar
- Precedes Zadanie #1554: Serwis do zarzadzania uzytkownikami added
#6 - 2017-06-06 11:56 - Michat Komar
- Status changed from Rozwigzany to Zamkniety
